Bug 448187 - Hidden painting assistant doesn't stop snapping if there are more of than one on the canvas.
Summary: Hidden painting assistant doesn't stop snapping if there are more of than one...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tool/Assistants (show other bugs)
Version: 5.0.2
Platform: Microsoft Windows Microsoft Windows
: NOR normal
Target Milestone: ---
Assignee: Tiar
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-10 00:15 UTC by Danilo JR
Modified: 2022-02-22 23:15 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo JR 2022-01-10 00:15:48 UTC
STEPS TO REPRODUCE
1.  Create 2 or more assistants tools
2.  disable them (hide)
3.  select the brush, enable "snap to assistants" and try drawing on the canvas.

OBSERVED RESULT

lines continues snapping to assistants.

EXPECTED RESULT

stop snap to assistants.

SOFTWARE/OS VERSIONS
Windows: 10  x64
Comment 1 Tiar 2022-01-13 15:21:32 UTC
Git commit 780cf2d64b998ef3a7722174f1b9b2e4a5d580a9 by Agata Cacko.
Committed on 13/01/2022 at 14:46.
Pushed by tymond into branch 'master'.

Reset the assistant after each stroke

Before this commit, if the user created multiple assistants,
made some strokes when having snap to assistante enabled,
and then disabled all of the assistants using the assistant tool,
there would be still snapping enabled to the last used assistant.
This commit ensures that the assistant is reset in such cases.

M  +8    -0    libs/ui/kis_painting_assistants_decoration.cpp

https://invent.kde.org/graphics/krita/commit/780cf2d64b998ef3a7722174f1b9b2e4a5d580a9
Comment 2 Tiar 2022-02-22 23:15:04 UTC
Git commit 310dd772680bf5dfdc94e83659c61166cf45f058 by Agata Cacko.
Committed on 22/02/2022 at 22:51.
Pushed by tymond into branch 'krita/5.0'.

Reset the assistant after each stroke

Before this commit, if the user created multiple assistants,
made some strokes when having snap to assistante enabled,
and then disabled all of the assistants using the assistant tool,
there would be still snapping enabled to the last used assistant.
This commit ensures that the assistant is reset in such cases.
(cherry picked from commit 780cf2d64b998ef3a7722174f1b9b2e4a5d580a9)

M  +8    -0    libs/ui/kis_painting_assistants_decoration.cpp

https://invent.kde.org/graphics/krita/commit/310dd772680bf5dfdc94e83659c61166cf45f058